/* Quadrilatero 2D, poligono 2D */



/* construtor - inicia vertices com 0
**********************************************************/
CQuad2D::CQuad2D ()
{
	memset ( (void*) m_anX, 0, 4 * sizeof ( INT16 ) );
	memset ( (void*) m_anY, 0, 4 * sizeof ( INT16 ) );
}



/* construtor - define explicitamente valores individuais para cada vertice
**********************************************************/
CQuad2D::CQuad2D ( INT16 nX1, INT16 nY1, INT16 nX2, INT16 nY2,
					  INT16 nX3, INT16 nY3, INT16 nX4, INT16 nY4 )
{
	m_anX [ 0 ] = nX1;
	m_anY [ 0 ] = nY1;
	m_anX [ 1 ] = nX2;
	m_anY [ 1 ] = nY2;
	m_anX [ 2 ] = nX3;
	m_anY [ 2 ] = nY3;
	m_anX [ 3 ] = nX4;
	m_anY [ 3 ] = nY4;
}



/* construtor - define implicitamente valores individuais para cada vertice
**********************************************************/
CQuad2D::CQuad2D ( CQuad2D &oQuad2D )
{
	m_anX [ 0 ] = oQuad2D.m_anX [ 0 ];
	m_anY [ 0 ] = oQuad2D.m_anY [ 0 ];
	m_anX [ 1 ] = oQuad2D.m_anX [ 1 ];
	m_anY [ 1 ] = oQuad2D.m_anY [ 1 ];
	m_anX [ 2 ] = oQuad2D.m_anX [ 2 ];
	m_anY [ 2 ] = oQuad2D.m_anY [ 2 ];
	m_anX [ 3 ] = oQuad2D.m_anX [ 3 ];
	m_anY [ 3 ] = oQuad2D.m_anY [ 3 ];
}



/* Define valores para cada vertice
**********************************************************/
void CQuad2D::mAtr ( INT16 nX1, INT16 nY1, INT16 nX2, INT16 nY2,
 						  INT16 nX3, INT16 nY3, INT16 nX4, INT16 nY4 )
{
	m_anX [ 0 ] = nX1;
	m_anY [ 0 ] = nY1;
	m_anX [ 1 ] = nX2;
	m_anY [ 1 ] = nY2;
	m_anX [ 2 ] = nX3;
	m_anY [ 2 ] = nY3;
	m_anX [ 3 ] = nX4;
	m_anY [ 3 ] = nY4;
}



/* Mostra na tela os vertices do poligono
**********************************************************/
void CQuad2D::mMostra ()
{
	for ( INT ncV = 0; ncV < 4; ncV ++ )

		printf ( "%d  %d\n", m_anX [ ncV ], m_anY [ ncV ] );
}
